com.r3corda.core.contracts / TransactionForVerification / verify

# verify

`fun verify(): Unit`

Verifies that the transaction is valid:

- Checks that the input states and the timestamp point to the same Notary

- Runs the contracts for this transaction. If any contract fails to verify, the whole transaction is considered to be invalid

TODO: Move this out of the core data structure definitions, once unit tests are more cleanly separated.

### Exceptions

`TransactionVerificationException` - if a contract throws an exception (the original is in the cause field) or the transaction has references to more than one Notary